> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /issues

GET https://api.merge.dev/api/chat/v1/issues

Gets all issues for Organization.

Reference: https://docs.merge.dev/merge-unified/chat/linked-account/issues/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api/chat/v1` (Production, default)
- `https://api-eu.merge.dev/api/chat/v1` (ProductionEU)
- `https://api-ap.merge.dev/api/chat/v1` (ProductionAPSE1)

## Request

### Query parameters

- `account_token` (string, optional)
- `cursor` (string, optional) — The pagination cursor value.
- `end_date` (string, optional) — If included, will only include issues whose most recent action occurred before this time
- `end_user_organization_name` (string, optional)
- `first_incident_time_after` (datetime, optional) — If provided, will only return issues whose first incident time was after this datetime.
- `first_incident_time_before` (datetime, optional) — If provided, will only return issues whose first incident time was before this datetime.
- `include_muted` (string, optional) — If true, will include muted issues
- `integration_name` (string, optional)
- `last_incident_time_after` (datetime, optional) — If provided, will only return issues whose last incident time was after this datetime.
- `last_incident_time_before` (datetime, optional) — If provided, will only return issues whose last incident time was before this datetime.
- `linked_account_id` (string, optional) — If provided, will only include issues pertaining to the linked account passed in.
- `page_size` (integer, optional) — Number of results to return per page. The maximum limit is 100.
- `start_date` (string, optional) — If included, will only include issues whose most recent action occurred after this time
- `status` (enum, optional) — Status of the issue.
  - Allowed values: `ONGOING`, `RESOLVED`

## Response

### 200

- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of Issue, optional)

## Types

### Issue

- `error_description` (string, required)
- `id` (string, optional)
- `status` (enum, optional) — Status of the issue.
  - Allowed values: `ONGOING`, `RESOLVED`
- `end_user` (map from string to any, optional)
- `first_incident_time` (datetime, optional, nullable)
- `last_incident_time` (datetime, optional, nullable)
- `is_muted` (boolean, optional)
- `error_details` (list of string, optional)

## Examples

**Response**

```json
{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "error_description": "Missing Permissions",
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "status": "ONGOING",
      "end_user": "b82302de-852e-4e60-b050-edf9da3b7c02",
      "first_incident_time": "2022-12-05T16:19:15.161Z",
      "last_incident_time": "2022-12-05T16:19:15.161Z",
      "is_muted": true,
      "error_details": [
        "Missing employee permissions.",
        "Missing time off permissions."
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/chat/v1/issues"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/chat/v1/issues';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/chat/v1/issues"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/chat/v1/issues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/chat/v1/issues")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/chat/v1/issues', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/chat/v1/issues");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/chat/v1/issues")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```